Subject: Re: shortcut to start xemacs in bash cygwin window
From: Edwin Goei <[email-masked]>
To: [email-masked]
Cc: Edwin Goei <[email-masked]>
Date: Sat, 22 May 2004 23:58:08 -0700

Edwin Goei wrote:

> Igor Pechtchanski wrote:
> 
>>
>> FWIW, you can dispense with the batch file, and simply make a shortcut to
>> "C:\cygwin\bin\bash --login -c 'cygstart /usr/bin/xemacs'"[*].  You can
>> then set the shortcut to start minimized.
>>     Igor
>> [*] I put /usr/bin/xemacs here, since xemacs is now a Cygwin package.
> 
> 
> Thanks.  I changed my shortcut and it seems to work...

Actually, it does not work the same.  I have lowercase environment 
variables set when bash starts up and cygstart seems to capitalize them. 
:-(  I don't want them captialized because I use the vars as 
abbreviations to long directory paths.  For example,

export ws=~/path/to/some/dir

I then can use $ws in xemacs.

BTW, is there a better way to handle abbreviations like this?  There are 
other disadvantages when adding a new path because it then needs to be 
added to process-environment and to all my shell-mode buffers.

-Edwin

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/